### Class

# FwupdPlugin CabFirmware

since: 1.0

#### Description

    class FwupdPlugin.CabFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_cab_firmware_new

No description available.

since: 1.9.7

#### Instance methods

###### fu_cab_firmware_get_compressed

Gets if the cabinet archive should be compressed.

since: 1.9.7

###### fu_cab_firmware_get_only_basename

Gets if the cabinet archive filenames should have the path component removed.

since: 1.9.7

###### fu_cab_firmware_set_compressed

Sets if the cabinet archive should be compressed.

since: 1.9.7

###### fu_cab_firmware_set_only_basename

Sets if the cabinet archive filenames should have the path component removed.

since: 1.9.7

##### Methods inherited from FuFirmware (59)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginCabFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.